Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[INSTALL] installation mysql 5.1
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
eric12344321
n00b
n00b


Joined: 19 Jul 2007
Posts: 3

PostPosted: Thu Jul 19, 2007 1:21 pm    Post subject: [INSTALL] installation mysql 5.1 Reply with quote

Bonjour,

Je dispose de la version 5.0 de MySQL et souhaite passer à la version 5.1.
Mais je ne sais pas comment faire.
Ce paquet est-il disponible sous gentoo (intel, serveur ovh).
Si oui, comment faire ?

Si non, comment faire pour l'installer dans le dur ? Où puis trouver des instructions ?

Merci


Last edited by eric12344321 on Thu Jul 19, 2007 2:00 pm; edited 2 times in total
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3772
Location: Wellington, Aotearoa

PostPosted: Thu Jul 19, 2007 1:27 pm    Post subject: Reply with quote

Salut et bienvenue à toi !
Peux-tu mettre ton titre en conformité avec les conventions de notre forum s'il te plait ? Merci :)
Back to top
View user's profile Send private message
Desintegr
l33t
l33t


Joined: 25 Mar 2004
Posts: 863
Location: France - Orléans

PostPosted: Thu Jul 19, 2007 3:39 pm    Post subject: Reply with quote

MySQL 5.1 est disponible dans l'arbre portage, mais cette version est hardmasked.
Cela veut dire qu'il est actuellement déconseillé de l'utiliser.


Mais, il est quand même possible de l'installer en démasquant l'ebuild.

Commence par lire l'introduction à Portage pour apprendre les bases de l'administration et de l'installation des logiciels sous Gentoo.
_________________
Gentoo ~AMD64
Hoc Volo, Sic Jubeo !
Mon wiki : http://desintegr.free.fr
Back to top
View user's profile Send private message
eric12344321
n00b
n00b


Joined: 19 Jul 2007
Posts: 3

PostPosted: Thu Jul 19, 2007 4:25 pm    Post subject: Reply with quote

Merci.
Comment fait on pour forcer l'installation stp et le ferais tu ?
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu Jul 19, 2007 5:37 pm    Post subject: Reply with quote

Desintegr wrote:
MySQL 5.1 est disponible dans l'arbre portage, mais cette version est hardmasked.
Cela veut dire qu'il est actuellement déconseillé de l'utiliser.
Mais, il est quand même possible de l'installer en démasquant l'ebuild.
Commence par lire l'introduction à Portage pour apprendre les bases de l'administration et de l'installation des logiciels sous Gentoo.

'alute
tu peux donc ensuite lire celle-ci (section 3.c notamment)

edit : quant à le faire : faudrait que tu nous en dise plus sur la cible, le besoin, etc si tu veux un/des conseils pertinents :wink: [sinon, l'unique réponse sage à faire est : "attend qu'il soit en stable - s'il est hardmasqué par les dev qui maintiennent le port c'est pas pour rien ^^"]

et bienvenue sur le forum en fait
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
eric12344321
n00b
n00b


Joined: 19 Jul 2007
Posts: 3

PostPosted: Thu Jul 19, 2007 7:02 pm    Post subject: Reply with quote

en fait j'ai une grosse base dont certaines tables font quelques millions d'enregistrements (4 pour le moment). J'ai bien entendu scindé la table. Mais j'ai lu que la version 5.1 permet le partitionnement et cela ameliore considerablement les requetes.

Par contre donc comme je le disais, linux en regle general et gentoo en plus, je n'y connais pas grand chose.

J'ai donc fait un emerge -s mysql et la version actuelle 5.0 est la premiere à etre affichée puis une longue liste de paquet parmi lesquels
* dev-db/mysql-community [ Masked ]
Latest version available: 5.1.15_beta

Mais comment specifier à emerge que c'est de ce paquet qu'il s'agit ? (desoel de ces questions peut etre stupide mais votre aide et experience est precieuse).

D'apres l'erreur obtenue, ce serait sur amd qu'il y aurait un manque de test de portabilité. JE suis en intel donc tout devrait bien se passer :-)

Merci
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu Jul 19, 2007 10:37 pm    Post subject: Reply with quote

bon d'accord soit donc tu connais déjà les règles de l'art pour une migration "sans tâches" (dump et autres buildpkg pour le retour en service actif en cas de lézard) c'est surtout ce qui m'importait au préalable ; après tu es grand tu sais ce que tu fais :wink:
Quoi que... le fait que tu parles d'ovh m'inquiète un peu... c'est une full gentoo ou leur chose release 2 qui est dessus (enfin pour le mysql surtout) ?

Pour en revenir à ta question : si tu as bien démasqué la version que tu souhaites comme cela est expliqué dans la doc quel est ton soucis ? le masquage ~arch ? ben c'est comme précédement mais en utilisant package.keyword et en précisant ton architecture puis tu emerge ensuite la version tout simplement par exemple :
Code:
#emerge -pv =dev-db/mysql-community-5.1.15_beta


Tout est dans la doc tu sais ; prends vraiment le temps de la lire... AVANT de te lancer dans des manoeuvres hazardeuses. Ta gentoo te le rendra 10^12 !
Faut pas croire notre documentation officielle c'est notre gloire. Tous ou presque nous l'envie :)
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Fri Jul 20, 2007 7:01 am    Post subject: Reply with quote

J'eu ouïe dire que pour les grosses bases, Postgres c'est hachement mieux.
Après moi je dis ça... :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum